summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marek Srejma2016-08-24 00:38:30 +0200
committer David Spencer2016-08-28 01:22:59 +0200
commit1ad502def397de803c54f7217cf90f0561f8aa14 (patch)
tree63bf10271752cb73e6148654e5135ae9d6b6976b
parent7c9785c929613864611c01556089b3585e5fa0c6 (diff)
downloadslackbuilds-1ad502def397de803c54f7217cf90f0561f8aa14.tar.gz
libraries/protobuf-c: Added (Protocol Buffers in C).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--libraries/protobuf-c/README10
-rw-r--r--libraries/protobuf-c/protobuf-c.SlackBuild95
-rw-r--r--libraries/protobuf-c/protobuf-c.info10
-rw-r--r--libraries/protobuf-c/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/libraries/protobuf-c/README b/libraries/protobuf-c/README
new file mode 100644
index 0000000000..da9d73e53b
--- /dev/null
+++ b/libraries/protobuf-c/README
@@ -0,0 +1,10 @@
+This is protobuf-c, a C implementation of the Google Protocol Buffers
+data serialization format.
+
+It includes libprotobuf-c, a pure C library that implements protobuf
+encoding and decoding, and protoc-c, a code generator that converts
+Protocol Buffer .proto files to C descriptor code, based on the
+original protoc.
+
+protobuf-c formerly included an RPC implementation; that code has been
+split out into the protobuf-c-rpc project.
diff --git a/libraries/protobuf-c/protobuf-c.SlackBuild b/libraries/protobuf-c/protobuf-c.SlackBuild
new file mode 100644
index 0000000000..15cfc053c6
--- /dev/null
+++ b/libraries/protobuf-c/protobuf-c.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+#
+# Slackware build script for protobuf-c
+#
+# Copyright 2016 Marek Srejma, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=protobuf-c
+VERSION=${VERSION:-1.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar TODO LICENSE ChangeLog README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/protobuf-c/protobuf-c.info b/libraries/protobuf-c/protobuf-c.info
new file mode 100644
index 0000000000..28d563fb42
--- /dev/null
+++ b/libraries/protobuf-c/protobuf-c.info
@@ -0,0 +1,10 @@
+PRGNAM="protobuf-c"
+VERSION="1.2.1"
+HOMEPAGE="https://github.com/protobuf-c/protobuf-c"
+DOWNLOAD="https://github.com/protobuf-c/protobuf-c/releases/download/v1.2.1/protobuf-c-1.2.1.tar.gz"
+MD5SUM="e544249c329391fff512c3874895cfbe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="protobuf"
+MAINTAINER="Marek Srejma"
+EMAIL="sam_web@yahoo.de"
diff --git a/libraries/protobuf-c/slack-desc b/libraries/protobuf-c/slack-desc
new file mode 100644
index 0000000000..99a36d8570
--- /dev/null
+++ b/libraries/protobuf-c/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+protobuf-c: protobuf-c (Protocol Buffers in C)
+protobuf-c:
+protobuf-c: This is protobuf-c, a C implementation of the Google Protocol Buffers
+protobuf-c: data serialization format. It includes libprotobuf-c, a pure C library
+protobuf-c: that implements protobuf encoding and decoding, and protoc-c, a code
+protobuf-c: generator that converts Protocol Buffer .proto files to C descriptor
+protobuf-c: code, based on the original protoc. protobuf-c formerly included an
+protobuf-c: RPC implementation; that code has been split out into the
+protobuf-c: protobuf-c-rpc project.
+protobuf-c:
+protobuf-c: Homepage: https://github.com/protobuf-c/protobuf-c